+ Le chant du vario +

Développements et support => traces GPS => Discussion démarrée par: giloutho le 27 Août 2019 - 18:34:34



Titre: Logfly 5.020
Posté par: giloutho le 27 Août 2019 - 18:34:34
Bonjour à tous,

Une mise à jour technique importante mais qui n'apporte pas pour l'instant de nouvelles fonctionnalités.

Elle permet surtout aux utilisateurs Flymaster et Reversale de pouvoir décharger leurs traces.

Pour info, voici la liste des modifications de cette version :

  • Abandon du JDK Oracle pour openJDK
  • Plantage de l'affichage des fenêtres plein écran sur MacOS Mojave. Corrigé par mise à jour du JDK
  • Bug Failed to launch JVM à l'installation Windows corrigé par mise à jour du JDK
  • Abandon de la librairie SerialPundit remplacée par JSSC (posait des problèmes sous Windows pour Flytec et Flymaster)
  • Toute la communication avec les GPS Flymaster et Flytec est désormais assurée par GPSDump
  • La gestion du bug Reversale est corrigée
  • Le dialogue pour le choix d'un fichier ou d'un dossier a été amélioré
  • Export carnet au format csv opérationnel
  • Ajout fonction sauvegarde/restore
  • Import disque : la gestion des traces invalides a été améliorée pour éviter un plantage de l'importation
  • Présentation et envoi du fichier log amélioré

C'est tout pour aujourd'hui  :coucou:

 


Titre: Re : Logfly 5.020
Posté par: Patrick Samoens le 27 Août 2019 - 19:16:28
Nouvelle version chargée, tout marche normalement pour l'affichage des traces MAIS le programme plante directement quand je clique sur "import GPS". Aucun message d'erreur, juste une fermeture immédiate.

Imac 20 MacOS high sierra 10.13.6



Titre: Re : Logfly 5.020
Posté par: giloutho le 27 Août 2019 - 22:54:19
Salut Patrick,

Avais tu le GPS branché ?

Normalement il aurait dû te dire qu'il n'avait pas trouvé de GPS (à tord ou à raison). Si ma mémoire est bonne tu as un Flymaster ?

Tu peux regarder le fichier log ? Les erreurs les plus récentes sont maintenant au début. Si tu as des erreurs datées du 26/08 (donc après la mise à jour), clique sur le bouton Envoyer.



Titre: Re : Logfly 5.020
Posté par: Patrick Samoens le 27 Août 2019 - 23:15:48
GPS flymaster bien branché. Pas de message récent dans le fichier log (le dernier date du 3 aout)

Est ce ce que le rapport de crash système te serait utile ?


Titre: Re : Logfly 5.020
Posté par: giloutho le 27 Août 2019 - 23:41:12
Citation
Est ce ce que le rapport de crash système te serait utile ?
Tu as carrément le terminal avec un kernel panic ? Si oui cela ne me sera pas utile car je n'y comprendrais rien.

Peux tu (télécharger) et lancer la dernière version de GPSDump (http://www.gpsdump.no/body_mac.htm) et me dire si cela fonctionne ?


Titre: Re : Logfly 5.020
Posté par: giloutho le 28 Août 2019 - 00:00:24
Tu as combien de mémoire vive sur le Mac ?

Pour le test de GPSDump, tu peux laisser tomber. Je viens de reproduire le bug sur le Mac de ma femme.

Macbook en 10.11.6 4go de mémoire vive.

Effectivement cela va au tas quand on sélectionne Flymaster. J'avoue ne pas trop comprendre. Ma machine de développement est un Macbook 8 go en 10.14 et je n'ai aucun problème, cela fonctionne nickel. Je ne pense pas que la version de l'OS soit en cause. Tout le reste fonctionne correctement.


Titre: Re : Logfly 5.020
Posté par: Patrick Samoens le 28 Août 2019 - 08:18:40
10 go de mémoire

la dernière version de gpsdump bloque aussi avec un message.

Acess GPS
Error opening COM port
Main error 2, sub 2



Titre: Re : Logfly 5.020
Posté par: jluc31 le 28 Août 2019 - 08:24:14
Salut Giloutho

Version 5.20 installée
Import GPS OK avec un GPS SYRIDE
Je reviens sur l'archivage  :clown:  :clown:
Après import le logiciel propose l'archivage, je clique sur Oui
et il n'y a rien dans le dossier SYRIDE/archives.
Par contre le dossier SYRIDE/Parapente contient toujours autant de dossiers que de vols.

Merci pour l'update  :bravo:


Titre: Re : Logfly 5.020
Posté par: manet42 le 28 Août 2019 - 10:18:34
Bonjour
Sur le site logfly je trouve une version logfly5.deb
Si je l'installe ça me dit une version plus récente est installée ( la 5.19).
Où se trouve la 20?
Merci


Titre: Re : Logfly 5.020
Posté par: giloutho le 28 Août 2019 - 11:58:39
Salut,

Je ne comprends pas tout  :grat:

Citation
Sur le site logfly je trouve une version logfly5.deb
C'ets la 5.020 déposée hier en milieu d'après midi.

A quelle heure as tu téléchargé ton paquet ?

Citation
une version plus récente est installée
Non le message ne peut être que : Une version plus récente est disponible.

Sous Linux, c'est tellement le bronx entre les distrib, les droits et tout le toutim que je ne gère pas la suite. Le message informe qu'il y a une version plus récente et colle l'adresse de téléchargement dans le presse papier. C'est à l'utilisateur de télécharger la nouvelle version et de l'installer.

Pour savoir où tu en es c'est facile : tu cliques sur OK dans la fenêtre du message "Une version plus récente est disponible" et tu regardes quelle version est installé dans la barre de titre de la fenêtre principale. Si c'est la 5.019, tu recharge le deb et tu réinstalles.


Titre: Re : Logfly 5.020
Posté par: sebjn le 28 Août 2019 - 12:40:56
Salut,
w10 et flymaster sd.
Installation il y a 10 min et dès que je clique sur import GPS, le logiciel se ferme sans aucun message...


Titre: Re : Logfly 5.020
Posté par: manet42 le 28 Août 2019 - 14:33:19
Bonjour.
Je pense que le problème vient du titre "logfly5.deb" il faudrait peut-être la nommer dès avant le téléchargement 'logfly5-20.deb ? En effet logfly5.deb doit être considérée par linux comme plus ancienne que la 19.?

Bon j'ai trouvé la solution si ça peut servir à d'autres linuxiens !

J'ai désinstallé la version 19 (attention pas complétement ne pas choisir supprimer les fichiers de configurations), puis j'ai réinstallé la version 20  qui est sur le site sous le nom de logfly5.deb.
Et ça marche, le carnet de vol est conservé.
Cordialement


Titre: Re : Re : Logfly 5.020
Posté par: Stef7550 le 28 Août 2019 - 18:17:33
Salut,
w10 et flymaster sd.
Installation il y a 10 min et dès que je clique sur import GPS, le logiciel se ferme sans aucun message...

idem sur mac avec osx 10.12.6 et syride.


Titre: Re : Logfly 5.020
Posté par: giloutho le 28 Août 2019 - 23:46:00
Effectivement il y a un gros problème. Tout fonctionne correctement sur les deux ordis que j'utilise mais cela se gâte ailleurs.

Une 5.21 devrait rapidement corriger le problème. Il faut que je termine des tests sur des machines extérieures.


Titre: Re : Logfly 5.020
Posté par: manet42 le 29 Août 2019 - 09:17:53
Bonjour
Avec Linux:
Clic sur "import GPS " fonctionne, il trouve sur le PC le dossier "parapente" de Syride avec les vols....
Merci pour ce travail
Cordialement.


Titre: Re : Logfly 5.020
Posté par: giloutho le 29 Août 2019 - 13:03:59
Ben pour une fois les emm... ne sont pas sur Linux mais sur les deux autres  :mrgreen:


Titre: Re : Re : Logfly 5.020
Posté par: brikabrak le 30 Août 2019 - 18:54:15
bonjour,
merci giloutho pour ton travail.
j'ai installé la 5.021 sur W10 (gps flymaster old).
connexion gps OK (alors que ça partait dans les choux avec la 5.20)
3 nouvelles traces sont proposées et visualisables individuellement
par contre lorsque je coche les 3 traces à télécharger, la fenêtre de confirmation m'est proposé avec bien 3 vols à intégrer mais l'intégration ne se fait pas.
pas de plantage mais pas de copie des traces.
on avance, on avance....

 

Effectivement il y a un gros problème. Tout fonctionne correctement sur les deux ordis que j'utilise mais cela se gâte ailleurs.

Une 5.21 devrait rapidement corriger le problème. Il faut que je termine des tests sur des machines extérieures.


Titre: Re : Logfly 5.020
Posté par: giloutho le 31 Août 2019 - 07:19:23
Je réponds sur le fil de la 5.021...